Subject: bug#49424: 27.2; Misdocumented default initialisation file

From: Robert Pluim <[email-masked]>
Date: Wed, 07 Jul 2021 11:17:23 +0200

>>>>> On Tue, 06 Jul 2021 17:11:38 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Peter Oliver <[email-masked]> writes:
    >> The info page “49.4.4 How Emacs Finds Your Init File” says:
    >> 
    >>> For brevity the rest of the Emacs documentation generally uses just
    >>> the current default location ‘~/.emacs.d/init.el’ for the init file.
    >> 
    >> However, this seems to be inaccurate: if I start Emacs as a new user
    >> and make a customisation, that customisation is written to ~/.emacs.

Yes, we should change that to say '~/.emacs'

    Lars> That is indeed the case still in Emacs 28 -- I thought we'd changed that
    Lars> to prefer either XDG paths or ~/.emacs.d/init.el when there's no
    Lars> previous init file?

Emacs will prefer the XDG path if it exists and .emacs.d/init.el and
.emacs donʼt. Similarly Emacs will prefer .emacs.d/init.el if it
exists and .emacs doesnʼt.

If nothing exists, Emacs will create ~/.emacs.d, and use ~/.emacs as
the init file. We can change that to use ~/.emacs.d/init.el if we
want, people who already have init files will not be affected.
</bold prediction of there being no consequences>

Robert
--